%define	name	dotclear
%define	version	2.1.5
%define	release	%mkrel 1
%define order	71

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Web-based blog
License:	GPLv2
Group:		System/Servers
URL:		http://www.dotclear.net
Source0:	http://download.dotclear.org/latest/%{name}-%{version}.tar.gz
Source1:	%{name}-apache.conf.bz2
Source2:	README.urpmi
Requires(pre):  mod_php >= 2.0.54-5mdk    
Requires(pre):  apache >= 2.0.54-5mdk     
Requires(pre):  rpm-helper   
Requires:		php-xml 
Requires:		php-iconv
Requires:		php-mbstring
BuildArch:	noarch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
dotclear is a multilingual web application developed in php. 
It provides personal blogs and trackbacks to react,
but also can be used in a multi-user mode with several right levels.

%prep
%setup -q -n %{name}

	   
%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install files
install -d -m 755 %{buildroot}%{_var}/www/%{name}
install -d -m 755 %{buildroot}%_defaultdocdir/%{name}
install -m 644 %{SOURCE2} %{buildroot}%_defaultdocdir/%{name}
mv CHANGELOG %{buildroot}%_defaultdocdir/%{name}
cp -aRf * %{buildroot}%{_var}/www/%{name}
rm -f %{buildroot}%_defaultdocdir/%{name}/CHANGELOG

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
bzcat %{SOURCE1} > %{buildroot}%{_webappconfdir}/%{order}_%{name}.conf

# remove .htaccess files
find %{buildroot}%{_var}/www/%{name} -name .htaccess -exec rm -f {} \;

# fix exectuable bit 
find %{buildroot}%{_var}/www/%{name} -type f -exec chmod 644 {} \;
chmod 755 %{buildroot}%{_var}/www/%{name}/inc/dbschema/upgrade-cli.php

%clean
rm -rf %{buildroot}

%post
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%config(noreplace) %_webappconfdir/%{order}_%{name}.conf
%dir %_defaultdocdir/%{name}
%_defaultdocdir/%{name}/README.urpmi
%dir %{_var}/www/%{name}
%{_var}/www/%{name}/*.php
%{_var}/www/%{name}/inc/
%{_var}/www/%{name}/admin
%{_var}/www/%{name}/cache
%{_var}/www/%{name}/db
%{_var}/www/%{name}/locales
%{_var}/www/%{name}/plugins
%{_var}/www/%{name}/public
%{_var}/www/%{name}/themes
%dir %attr(0775,root,apache) %{_var}/www/%{name}/cache
%dir %attr(0775,root,apache) %{_var}/www/%{name}/inc/


%changelog
* Thu Feb 12 2009 Jerome Martin <jmartin@mandriva.org> 2.1.5-1mdv2008.1
+ Revision: 339940
- 2.1.5

* Wed Feb 04 2009 Jerome Martin <jmartin@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 337568
- Updated to 2.1.4

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.5-5mdv2009.0
+ Revision: 266576
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 21 2008 Oden Eriksson <oeriksson@mandriva.org> 1.2.5-4mdv2009.0
+ Revision: 196211
- fix #22079

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.org> 1.2.5-3mdv2008.0
+ Revision: 43878
- Import dotclear



* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-3mdv2008.0
- fix deps

* Mon Jul 17 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.5-2mdk
- fix php-mysql dependancy

* Tue Jun 6 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.5-1mdk
- security update

* Thu Apr 20 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.4-1mdk
- security update 
- improve images management, and spam plugin

* Mon Jan 23 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.3-2mdk
- fix Apache configuration
- install dotclear in /var/www to fit with Mandriva webapps policy

* Wed Nov 30 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.3-1mdk
- security update on session manager

* Sat Oct 29 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.2-1mdk
- security update on trackbacks

* Fri Oct 21 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.2.1-1mdk
- initial release
